Subject: Re: [RFC] Zit (v2): the git-based single file content tracker

From: Jakub Narebski <[email-masked]>
Date: Mon, 27 Oct 2008 00:04:12 +0200

Giuseppe Bilotta wrote:
> On Sun, Oct 26, 2008 at 4:20 PM, Jakub Narebski <[email-masked]> wrote:
>> "Giuseppe Bilotta" <[email-masked]> writes:
>>>
>>> Ah, good idea. Done, in Version Control Interface layers section
>>
>> Thanks.
>>
>> I have added link to repositoy, as you didn't configure your gitweb to
>> display those URL links (see gitweb/README and gitweb/INSTALL).
> 
> Oops, right, thanks. BTW, isn't there a way to have the git:// URL be
> computed automatically? Judging by the docs, it seems that I have to
> set it manually for each project, like the description.

gitweb/README:

  How to configure gitweb for your local system
  ---------------------------------------------
  [...]
   * GITWEB_BASE_URL
     Git base URLs used for URL to where fetch project from, i.e. full
     URL is "$git_base_url/$project".  Shown on projects summary page.
     Repository URL for project can be also configured per repository; this
     takes precedence over URLs composed from base URL and a project name.
     Note that you can setup multiple base URLs (for example one for
     git:// protocol access, another for http:// access) from the gitweb
     config file.  [No default]

  [...]
  Runtime gitweb configuration
  ----------------------------
  [...]
  Gitweb config file variables
  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  [...]
   * @git_base_url_list
     List of git base URLs used for URL to where fetch project from, shown
     in project summary page.  Full URL is "$git_base_url/$project".
     You can setup multiple base URLs (for example one for  git:// protocol
     access, and one for http:// "dumb" protocol access).  Note that per
     repository configuration in 'cloneurl' file, or as values of gitweb.url
     project config.

Ooops, there seems to be a type in above...

  Per-repository gitweb configuration
  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  [...]
   * cloneurl (or multiple-valued gitweb.url)
     File with repository URL (used for clone and fetch), one per line.
     Displayed in the project summary page. You can use multiple-valued
     gitweb.url repository configuration variable for that, but the file
     takes precedence.

-- 
Jakub Narebski
Poland